ANSIBLE-DOC(1)

NAME
ansible-doc - show documentation on Ansible modules

SYNOPSIS

ansible-doc [-M module_path] [-l] [-s] [module...]

DESCRIPTION

ansible-doc displays information on modules installed in Ansible libraries. It displays a terse listing of modules and their short descriptions, provides a printout of their DOCUMENTATION strings, and it can create a short "snippet" which can be pasted into a playbook.

OPTIONS

-M DIRECTORY, --module-path=DIRECTORY
    the DIRECTORY search path to load modules from. The default is /usr/local/share/ansible. This can also be set with the ANSIBLE_LIBRARY environment variable.

-s, --snippet=
    Produce a snippet which can be copied into a playbook for modification, like a kind of task template.

-l, --list=
    Produce a terse listing of modules and a short description of each.

ENVIRONMENT

ANSIBLE_LIBRARY — Override the default ansible module library path

FILES

/usr/local/share/ansible/ — Default module library

/etc/ansible/ansible.cfg — Config file, used if present

~/.ansible.cfg — User config file, overrides the default config if present

AUTHOR

ansible-doc was originally written by Jan-Piet Mens. See the AUTHORS file for a complete list of contributors.

COPYRIGHT

Copyright © 2012, Jan-Piet Mens

Ansible is released under the terms of the GPLv3 License.

SEE ALSO

ansible-playbook(1), ansible(1), ansible-pull(1), ansible-vault(1), ansible-galaxy(1)

Extensive documentation is available in the documentation site: http://docs.ansible.com. IRC and mailing list info can be found in file CONTRIBUTING.md, available in: https://github.com/ansible/ansible